CREATE OR REPLACE FUNCTION GJUTIS.fn_GetCodeName(I_CLSF_CD VARCHAR2, I_CMMN_CD VARCHAR2)
  RETURN VARCHAR2 IS RESULT VARCHAR2(128);
  R_CODE_NM VARCHAR2(128);
BEGIN

    SELECT TRIM(CMMN_CD_KOR_NM)
      INTO R_CODE_NM
      FROM TB_CMMN_CD
     WHERE CMMN_CLSF_CD = I_CLSF_CD
       AND CMMN_CD      = I_CMMN_CD;

    RESULT := R_CODE_NM || '[' || I_CMMN_CD || ']';

    RETURN (RESULT);

 EXCEPTION
 WHEN NO_DATA_FOUND THEN RETURN('[' || I_CMMN_CD || ']');
 WHEN OTHERS THEN RETURN('[' || I_CMMN_CD || ']');

END FN_GETCODENAME;
